# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.

title: Accessibility
description: Learn about app accessibility; how accessibility can be incorporated into cutting edge computer science topics like machine learning and fabrication; and the interaction of accessibilty technology and society

baseurl: "/courses/cse493e/23au"
url: https://courses.cs.washington.edu # the base hostname & protocol for your site, e.g. http://example.com
twitter_username: jcmankoff
git_username:  jmankoff
staff_email: uaccess@cs.washington.edu
canvas_course: 1665828
git_url: https://gitlab.cs.washington.edu/teaching-materials/undergrad-accessibility-website
git_branch: UACCESS-23fa
discussion: https://edstem.org/us/courses/41400/discussion
canvas: https://canvas.uw.edu/courses/1665828
status: published
warning: final

paginate:            5
classnum: CSE493
quarter: "Fall 2023"
copydate: "4/12/23"
author:
    name: Jennifer Mankoff
    url: "https://make4all.org/jennifer-mankoff/"

email: "jmankoff@uw.edu"            # Your contact email
  # probably want to update this to be the class teaching staff mailing list

# The Reveal theme
reveal_theme: black.css

# Build settings
markdown: kramdown
theme: jekyll-theme-cayman

plugins:
  - jekyll-feed
  - jekyll-seo-tag
  - jekyll-font-awesome-sass
  - jekyll-paginate
  - jekyll-redirect-from
  - jekyll-assets
  - uglifier
  - jekyll-mermaid
  - jekyll-target-blank

highlighter: rouge

bootstrap:
    assets: true

assets:
    digest: false
    prefix: "/assets"
    sources:
        - "*"

sass:
  sass_dir: "./_scss"
#  style: compressed

kramdown:
  toc_levels: '1'

mermaid: 'https://cdn.jsdelivr.net/npm/mermaid@10.5.0/dist/mermaid.min.js'

remarkConfig:
  # possible highlight options:
  # arta, ascetic, dark, default, far, github, googlecode, idea, ir_black,
  # magula, monokai, rainbow, solarized-dark, solarized-light, sunburst,
  # tomorrow, tomorrow-night-blue, tomorrow-night-bright, tomorrow-night,
  # tomorrow-night-eighties, vs, zenburn.
  highlightStyle: 'solarized-light'
  highlightLanguage: 'remark'
  highlightLines: true


# Custom vars
version:             3.1.0

# Exclude from processing.
# The following items will not be processed, by default. Create a custom list
# to override the default setting.
exclude:
   - Gemfile
   - Gemfile.lock
   - node_modules
   - vendor
   - vendor/bundle/
   - vendor/cache/
   - vendor/gems/
   - vendor/ruby/
   - .jekyll-cache

font-awesome:
  assets: true

